PCI_MSI_VEC_COUNT(9)

NAME
pci_msi_vec_count - Return the number of MSI vectors a device can send

SYNOPSIS

int pci_msi_vec_count(struct pci_dev * dev);

ARGUMENTS

dev
    device to report about

DESCRIPTION

This function returns the number of MSI vectors a device requested via Multiple Message Capable register. It returns a negative errno if the device is not capable sending MSI interrupts. Otherwise, the call succeeds and returns a power of two, up to a maximum of 2^5 (32), according to the MSI specification.

COPYRIGHT